Mono(chktrust)

NAME
chktrust - Check the trust of a PE executable.

SYNOPSIS

chktrust [options] filename

DESCRIPTION
Verify if an PE executable (CLR assembly, Win32 EXE or DLL) has a valid Authenticode(r) signature that can be traced back to a trusted certificate authority (CA). This means that

(a) the signature is valid (i.e. file integrity) and,

(b) the code-signing certificate can be chained back to one of the
    certificates in the Trust store.

OPTIONS

-q , -quiet
    Quiet mode. Limited display on console.

-v , -verbose
    Verbose mode. More details displayed on the console.

-help , -h , -? , /?
    Display help about this tool.

KNOWN RESTRICTIONS
chktrust cannot validate Authenticode signatures on CAB files.

AUTHOR
Written by Sebastien Pouliot

COPYRIGHT
Copyright (C) 2003 Motus Technologies. Copyright (C) 2004 Novell. Released under BSD license.

MAILING LISTS
Visit http://lists.ximian.com/mailman/listinfo/mono-list for details.

WEB SITE
Visit http://www.mono-project.com for details

SEE ALSO
signcode(1),makecert(1),certmgr(1),setreg(1)